package com.yifu.cloud.plus.v1.yifu.insurances.vo;

import lombok.Data;
import org.springframework.cglib.core.Local;

import java.time.LocalDate;

/**
 * @author zhaji
 * @description 结算信息推送类
 * @date 2022-08-05 10:32:16
 */
@Data
public class TInsuranceSettlePushParam {
	/**
	 * ID主键 36位
	 */
	private String	fd_id ;

	/**
	 * 单据类型 200 单选（预估单，实缴单，差异单）
	 */
	private String	fd_3adfe6af71a1cc;

	/**
	 * 项目编码 200
	 */
	private String	fd_3adfe658c6229e;

	/**
	 * 项目名称 200
	 */
	private String	fd_3adfe6592b4158;

	/**
	 * 单号 200
	 */
	private String	fd_3adfe67a9f6364;

	/**
	 * 客户编码 200
	 */
	private String	fd_3adfe6598281e8;

	/**
	 * 客户名称 200
	 */
	private String	fd_3adfe7a2688902;

	/**
	 * 发生日期 	"xxxx--xx--xx"
	 */
	private LocalDate fd_3adfe67c24dace;

	/**
	 * 姓名 200
	 */
	private String	fd_3adfe65d759650;

	/**
	 * 身份证号 200
	 */
	private String	fd_3adfe65dbd9f68;

	/**
	 * 发票号 200
	 */
	private String	fd_3adfe65e0cd094;

	/**
	 * 险种 200
	 */
	private String	fd_3adfe65f6599e4;

	/**
	 * 保险公司 200
	 */
	private String	fd_3adfe65ea04728;

	/**
	 * 保单号 200
	 */
	private String	fd_3adfe65e60e110;

	/**
	 * 保险开始日期 "xxxx--xx--xx"
	 */
	private LocalDate	fd_3adfe6b7e0ede8;

	/**
	 * 保险结束日期 "xxxx--xx--xx"
	 */
	private LocalDate	fd_3adfe6b847bfe6;

	/**
	 * 购买标准 精确到小数点后两位
	 */
	private Double	fd_3adfe6d55384c6;

	/**
	 * 实际保费 精确到小数点后两位
	 */
	private Double	fd_3adfe6610c0d2c;

	/**
	 * 医保 精确到小数点后两位
	 */
	private Double	fd_3adfe66041a996;

	/**
	 * 事故或残疾 200
	 */
	private String	fd_3adfe6609aa810;

	/**
	 * 应收 精确到小数点后两位
	 */
	private Double	fd_3adfe6e30f2a3c;

	/**
	 * 应收 200 单选（已结算，结算中，未结算）
	 */
	private String	fd_3adfe6ec6a8cbe;

	/**
	 * 收款状态 200 单选（已收，未收）
	 */
	private String	fd_3adfe6ef5dfaac;

	/**
	 * 收入结算单号 200
	 */
	private String	fd_3adfe79fd04606;

	/**
	 * 收款认领单号 200
	 */
	private String	fd_3adfe7a117f086;

	/**
	 * 应支出 精确到小数点后两位
	 */
	private Double	fd_3adfe6e3911ffe;

	/**
	 * 支出结算状态 200 单选（已结算，结算中，未结算）
	 */
	private String	fd_3adfe6eda67236;

	/**
	 * 付款状态 200 单选（已收，未收）
	 */
	private String	fd_3adfe6f05531ec;

	/**
	 * 支出结算单号 200
	 */
	private String	fd_3adfe7a035849c;

	/**
	 * 付款单号 200
	 */
	private String	fd_3adfe7a08eba96;

	/**
	 * 结算月份 200
	 */
	private String	fd_3aea2f0180eccc;

}
